<?php
/**
 * Zen
 *
 * @author    Zen
 * @copyright Copyright (c) 2022 Zen
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License ("AFL") v. 3.0
 *
 * https://www.zen.com/
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * Class ZenFailureModuleFrontController
 *
 * @property bool display_column_left
 * @property bool display_column_right
 */
class ZencomFailureModuleFrontController extends ModuleFrontController
{
    /**
     *  Initialize controller
     *
     * @see FrontController::init()
     */
    public function init()
    {
        $this->display_column_left = false;
        $this->display_column_right = false;
        parent::init();
    }

    /**
     * @throws PrestaShopException
     */
    public function initContent()
    {
        parent::initContent();
        $this->context->smarty->assign([
            'zen_msg_hint_payment' => $this->module->l(
                'Unable to complete your payment request. Try again later.',
                'failure'
            ),
        ]);

        $this->setTemplate(Zencom::buildTemplatePath('failure', 'front'));
    }
}
