{*
 * Zen
 *
 * @author    Zen
 * @copyright Copyright (c) 2022 Zen
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License ("AFL") v. 3.0
 *
 * https://www.zen.com/
*}

{if isset($show_refund) && $show_refund}
    {if isset($ps_version) && $ps_version >= 1770}
        {capture assign=refund_fieldset}
            <script>
                {literal}
                $(document).ready(function () {
                    var zenRefundTypeSelect = $('#zen_refund_type');
                    var setType = function (type) {
                        if ('full' == type) {
                            $('#zen_refund_amount').attr('readonly', true).val('{/literal}{$zen_refund_full_amount|escape:'javascript':'UTF-8'}{literal}');
                        } else {
                            $('#zen_refund_amount').attr('readonly', false);
                        }
                    };
                    setType(zenRefundTypeSelect.val());
                    zenRefundTypeSelect.on('change', function () {
                        setType(zenRefundTypeSelect.val());
                    });
                });
                {/literal}
            </script>
            <div class="well">

                <div class="card" id="zenRefund">

                    <div class="card-header">
                        <h3 class="card-header-title">
                            Zwrot
                        </h3>
                    </div>

                    <div class="card-body">
                        <h3>{l s='Make a full or partial refund' mod='zencom'}</h3>
                        <form class="form-horizontal" action="" method="post"
                              onsubmit="return confirm('{l s='Do you really want to submit the refund request?' mod='zencom'}');">
                            <div class="input-group card-details-actions mb-3">
                                <div class="col-6">
                                    <select name="zen_refund_type" id="zen_refund_type" class="custom-select">
                                        <option value="full"{if $zen_refund_type eq "full"} selected="selected"{/if}>{l s='Full refund' mod='zencom'}</option>
                                        <option value="partial"{if $zen_refund_type eq "partial"} selected="selected"{/if}>{l s='Partial refund' mod='zencom'}</option>
                                    </select>
                                </div>
                                <div class="col-6">
                                    <input type="text" id="zen_refund_amount" name="zen_refund_amount"
                                           class="form-control"
                                           value="{$zen_refund_amount|escape:'htmlall':'UTF-8'}"/>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-sm-6 offset-sm-6">
                                        <div class="text-right">
                                            <input type="submit" name="submitZenPaymentRefund" class="btn btn-primary"
                                                   value="{l s='Perform refund' mod='zencom'}"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        {if isset($zen_refund_errors) && $zen_refund_errors|count}
                            <br/>
                            <div style="margin-top:15px" class="alert alert-danger">
                                {foreach from = $zen_refund_errors item = error}
                                    <p class="error">{$error|escape:'htmlall':'UTF-8'}</p>
                                {/foreach}
                            </div>
                        {/if}
                        {if isset($zen_refund_message) && $zen_refund_message|count}
                            <div style="margin-top:15px" class="alert alert-success">
                                <p>{$zen_refund_message|escape:'htmlall':'UTF-8'}</p>
                            </div>
                        {/if}
                    </div>
                </div>
            </div>
        {/capture}
        <script>
            $(document).ready(function () {
                $("{$refund_fieldset|escape:'javascript':'UTF-8'}").insertAfter($('#orderProductsPanel').first());
            });
        </script>
    {else}
        {capture assign=refund_fieldset}
            <script>
                {literal}
                $(document).ready(function () {
                    var zenRefundTypeSelect = $('#zen_refund_type');
                    var setType = function (type) {
                        if ('full' == type) {
                            $('#zen_refund_amount').attr('readonly', true).val('{/literal}{$zen_refund_full_amount|escape:'javascript':'UTF-8'}{literal}');
                        } else {
                            $('#zen_refund_amount').attr('readonly', false);
                        }
                    };
                    setType(zenRefundTypeSelect.val());
                    zenRefundTypeSelect.on('change', function () {
                        setType(zenRefundTypeSelect.val());
                    });
                });
                {/literal}
            </script>
            <div class="well">

                <h3>{l s='Make a full or partial refund' mod='zencom'}</h3>
                <div class="row">
                    <form action="" method="post"
                          onsubmit="return confirm('{l s='Do you really want to submit the refund request?' mod='zencom'}');">
                        <div class="col-lg-4">
                            <select name="zen_refund_type" id="zen_refund_type">
                                <option value="full"{if $zen_refund_type eq "full"} selected="selected"{/if}>{l s='Full refund' mod='zencom'}</option>
                                <option value="partial"{if $zen_refund_type eq "partial"} selected="selected"{/if}>{l s='Partial refund' mod='zencom'}</option>
                            </select>
                        </div>
                        <div class="col-lg-1" style="text-align: right">
                            {l s='amount' mod='zencom'}
                        </div>
                        <div class="col-lg-4">
                            <input type="text" id="zen_refund_amount" name="zen_refund_amount"
                                   value="{$zen_refund_amount|escape:'htmlall':'UTF-8'}"/>
                        </div>
                        <div class="col-lg-2">
                            <input type="submit" name="submitZenPaymentRefund" class="btn btn-primary"
                                   value="{l s='Perform refund' mod='zencom'}"/>
                        </div>
                    </form>
                </div>
                {if isset($zen_refund_errors) && $zen_refund_errors|count}
                    <br/>
                    <div style="margin-top:15px" class="alert alert-danger">
                        {foreach from = $zen_refund_errors item = error}
                            <p class="error">{$error|escape:'htmlall':'UTF-8'}</p>
                        {/foreach}
                    </div>
                {/if}
                {if isset($zen_refund_message) && $zen_refund_message|count}
                    <div style="margin-top:15px" class="alert alert-success">
                        <p>{$zen_refund_message|escape:'htmlall':'UTF-8'}</p>
                    </div>
                {/if}
            </div>
        {/capture}
        <script>
            $(document).ready(function () {
                $("{$refund_fieldset|escape:'javascript':'UTF-8'}").insertAfter($('.panel-heading').first());
            });
        </script>
    {/if}
{/if}
